/*
Copyright (c) 2015
Lawrence Livermore National Security, LLC.
Technische Universitaet Dresden, ZIH

Produced at the Lawrence Livermore National Laboratory
and the Technische Universitaet Dresden.
Written by Martin Schulz, schulzm@llnl.gov,
Tobias Hilbrich tobias.hilbrich@tu-dresden.de,
Joachim Protze joachim.protze@tu-dresden.de,
Mathias Korepkat mathias.korepkat@tu-dresden.de.
LLNL-CODE-402774,
All rights reserved.

This file is part of P^nMPI.

@TODO Pointer to LICENSE
*/

#include <mpi.h>
#include <stddef.h>

/**
 * This test evaluates whether we require const correctness that was introduced with MPI 3.
 * MPI_Graph_create is available in all MPI versions, thus:
 * - if this test succeeds, we need const correctness
 * - if this test fails, we either lack mpi.h or we have no const correctness (we hopefully catch the first issue earlier)
 */

int main(int argc, char **argv)
{
  const int i=0;
  /*Dummy call to avoid any optimization out, its not functional, just to please compilers*/
  MPI_Graph_create (MPI_COMM_WORLD,0, &i, &i, 0, NULL);
  return 0;
}

